The Open Group Base Specifications Issue 7
IEEE Std 1003.1-2008, 2016 Edition
Copyright © 2001-2016 The IEEE and The Open Group

#### NAME

> catclose - close a message catalog descriptor

#### SYNOPSIS

> ``#include <nl_types.h>
> int catclose(nl_catd` catd`);
> ``

#### DESCRIPTION

> The catclose() function shall close the message catalog identified by catd. If a file descriptor is used to implement the type nl_catd, that file descriptor shall be closed.

#### RETURN VALUE

> Upon successful completion, catclose() shall return 0; otherwise, -1 shall be returned, and errno set to indicate the error.

#### ERRORS

> The catclose() function may fail if:

> [EBADF]
>   The catalog descriptor is not valid.
> [EINTR]
>   The catclose() function was interrupted by a signal.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> None.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> catgets, catopen

> XBD <nl_types.h>

#### CHANGE HISTORY

> First released in Issue 2.

#### Issue 7

> The catclose() function is moved from the XSI option to the Base.

End of informative text.

return to top of page

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
Copyright © 2001-2016 The IEEE and The Open Group, All Rights Reserved
[ Main Index | XBD | XSH | XCU | XRAT ]